1. DasSanchezz's Avatar
    got iphone 4 jailbroken 5.0.1, i want to downgrade to 4.X.X because its just so much better... so how do i do it lol?
    i got shsh blobs for 4.2.1, 4.3, 4.3.3, 4.3.5, 5.0.1, 5.1
    i jailbroke it a year ago but i forgot how this stuff works and im too lazy to find out again... also because it just caused alot of pain since the jailbreak for ios 5 wasnt released and it wouldnt work without it because im an idot...
    whats the best way to do this?
    Last edited by DasSanchezz; 07-21-2012 at 07:47 AM.
    07-21-2012 07:39 AM
  2. BLiNK's Avatar
    my suggestion is going to the TinyUmbrella site and downloading the appropriate TU software. look into their FAQ section or just simply use google on how to do it with TinyUmbrella

    if my memory serves me right 4.2.1 was amazing on battery performance so IF you have the option i would start there

    good luck!
    07-21-2012 09:44 AM
  3. DasSanchezz's Avatar
    faq doesnt help. my problem is that i dont know if i can downgrade straight to 4.X.X or need to take extra steps and anyway where do i get the firmware and how do i restore to it? i tried ifaith which i assume is pretty much the same as sn0wbreeze, it came up with a error when downloading/building(i cant remember which one) IPSW 4.3.3. the error was something about the wrong type of device i think, im gonna try again and report back.

    Edit: also i do have tinyumbrella and i saved the shsh blobs to build an IPSW in ifaith.

    Edit2:i have tried ifaith again, this time i tried building 4.2.1 and since i dont have any of the IPSW on my pc i choose the "download it for me" option and it gives me this error half way through - "invalid 4.2.1 (8C148) IPSW for the iPhone 4! MD5: (...random numbers and letters...shsh blob maybe?...)"
    Last edited by DasSanchezz; 07-21-2012 at 10:46 PM.
    07-21-2012 10:28 PM
LINK TO POST COPIED TO CLIPBOARD